# View identity verification status

Endpoint: GET /parties/{partyId}/identityVerification
Version: 2025-01-01
Security: basicAuth

## Path parameters:

  - `partyId` (string, required)
    A unique identifier for the party generated by us. This is sent in the response of your party creation call.

## Header parameters:

  - `WP-Api-Version` (string, required)
    The API version.
    Example: "2025-01-01"

## Response 200 fields (application/json):

  - `errorName` (string)
    An ordinal error type that is part of the API contract. It is machine readable, but also human readable for clarity and semantic understanding of the error.
    Example: "bodyDoesNotMatchSchema"

  - `message` (string)
    A human readable message giving a corrective action for the error. THIS IS NOT FOR MACHINE CONSUMPTION.

  - `validationErrors` (array)

  - `validationErrors.errorName` (string)

  - `validationErrors.message` (string)

  - `validationErrors.path` (string)

  - `validationErrors.jsonPath` (string)

  - `validationErrors.queryParameter` (string)

  - `validationErrors.pathParameter` (string)

  - `pathParameter` (string)

  - `queryParameter` (string)

  - `jsonPath` (string)

  - `overall` (object)

  - `overall.identityVerificationState` (string)
    Enum: "verified", "notVerified", "pending", "rejected", "notApplicable", "started", "startedAction", "pendingStepUpAction", "pendingManualReview - stepUpReceived"

  - `overall.identityVerificationMethod` (string)
    Enum: "merchantCompliant", "identityVerificationService"

  - `overall.identityVerificationDate` (string)
    A valid date as YYYY-MM-DD
    Example: "2033-11-22"

  - `overall.url` (string)
    The link returned from Identity Verification Status (IVS) used to retrieve additional details from the user.

  - `overall.message` (string)
    The message associated with link returned from Identity Verification Status (IVS).

  - `party` (object)

  - `party.identityVerificationState` (string)
    Enum: "verified", "notVerified", "pending", "rejected", "notApplicable", "started", "startedAction", "pendingStepUpAction", "pendingManualReview", "stepUpReceived"

  - `party.identityVerificationMethod` (string)
    Enum: "merchantCompliant", "identityVerificationService"

  - `party.identityVerificationDate` (string)
    A valid date as YYYY-MM-DD
    Example: "2033-11-22"

  - `party.url` (string)
    The link returned from Identity Verification Status (IVS) used to retrieve additional details from the user.

  - `party.message` (string)
    The message associated with link returned from Identity Verification Status (IVS).

  - `party.partyId` (string)
    A unique identifier for the party generated by us.

  - `party.partyReference` (string)
    Your reference for this party, must be unique within an entity.
    Example: "Hosaka27384910"

  - `beneficialOwners` (array)

  - `beneficialOwners.identityVerificationState` (string)
    Enum: "verified", "notVerified", "pending", "rejected", "notApplicable", "started", "startedAction", "pendingStepUpAction", "pendingManualReview - stepUpReceived"

  - `beneficialOwners.identityVerificationMethod` (string)
    Enum: "merchantCompliant", "identityVerificationService"

  - `beneficialOwners.identityVerificationDate` (string)
    A valid date as YYYY-MM-DD
    Example: "2033-11-22"

  - `beneficialOwners.url` (string)
    The link returned from Identity Verification Status (IVS) used to retrieve additional details from the user.

  - `beneficialOwners.message` (string)
    The message associated with link returned from Identity Verification Status (IVS).

  - `beneficialOwners.beneficialOwnerReference` (string)
    Your reference for this beneficial owner, must be unique within an entity.
    Example: "Hosaka27384910"

  - `beneficialOwners.beneficialOwnerId` (string)
    A unique identifier for the beneficial owner generated by us.

## Response 400 fields (application/json):

  - `errorName` (string)
    An ordinal error type that is part of the API contract. It is machine readable, but also human readable for clarity and semantic understanding of the error.
    Example: "bodyDoesNotMatchSchema"

  - `message` (string)
    A human readable message giving a corrective action for the error. THIS IS NOT FOR MACHINE CONSUMPTION.

  - `validationErrors` (array)

  - `validationErrors.errorName` (string)

  - `validationErrors.message` (string)

  - `validationErrors.path` (string)

  - `validationErrors.jsonPath` (string)

  - `validationErrors.queryParameter` (string)

  - `validationErrors.pathParameter` (string)

  - `pathParameter` (string)

  - `queryParameter` (string)

  - `jsonPath` (string)

## Response 500 fields (application/json):

  - `errorName` (string)
    An ordinal error type that is part of the API contract. It is machine readable, but also human readable for clarity and semantic understanding of the error.
    Example: "bodyDoesNotMatchSchema"

  - `message` (string)
    A human readable message giving a corrective action for the error. THIS IS NOT FOR MACHINE CONSUMPTION.

  - `validationErrors` (array)

  - `validationErrors.errorName` (string)

  - `validationErrors.message` (string)

  - `validationErrors.path` (string)

  - `validationErrors.jsonPath` (string)

  - `validationErrors.queryParameter` (string)

  - `validationErrors.pathParameter` (string)

  - `pathParameter` (string)

  - `queryParameter` (string)

  - `jsonPath` (string)

## Response 503 fields (application/json):

  - `errorName` (string)
    An ordinal error type that is part of the API contract. It is machine readable, but also human readable for clarity and semantic understanding of the error.
    Example: "bodyDoesNotMatchSchema"

  - `message` (string)
    A human readable message giving a corrective action for the error. THIS IS NOT FOR MACHINE CONSUMPTION.

  - `validationErrors` (array)

  - `validationErrors.errorName` (string)

  - `validationErrors.message` (string)

  - `validationErrors.path` (string)

  - `validationErrors.jsonPath` (string)

  - `validationErrors.queryParameter` (string)

  - `validationErrors.pathParameter` (string)

  - `pathParameter` (string)

  - `queryParameter` (string)

  - `jsonPath` (string)


